SDL_GPUSampleCount(3type)

NAME
SDL_GPUSampleCount - Specifies the sample count of a texture.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef enum SDL_GPUSampleCount
{
    SDL_GPU_SAMPLECOUNT_1,  /**< No multisampling. */
    SDL_GPU_SAMPLECOUNT_2,  /**< MSAA 2x */
    SDL_GPU_SAMPLECOUNT_4,  /**< MSAA 4x */
    SDL_GPU_SAMPLECOUNT_8   /**< MSAA 8x */
} SDL_GPUSampleCount;

DESCRIPTION
Used in multisampling. Note that this value only applies when the texture is used as a render target.

AVAILABILITY
This enum is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateGPUTexture(3), •(3), SDL_GPUTextureSupportsSampleCount(3)